<?php  
// TESTIMONIALS SECTION START HERE 

$wp_customize->add_section(
    'testimonials_area',
    array(
        'title'         => __( 'Testimonials Section', 'Luzuk Premium' ),
        'panel'   => 'luzuk_premium_home_panel',
    )
);
    //ENABLE/DISABLE TESTIMONIALS SECTION
$wp_customize->add_setting(
    'testimonials_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'testimonials_area_disable',
        array(
            'settings'      => 'testimonials_area_disable',
            'section'       => 'testimonials_area',
            'label'         => __( 'Disable Section', 'Luzuk Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk Premium' ),
                'off' => __( 'No', 'Luzuk Premium' )
            )   
        ) 
    )
);
 
backgroundManager($wp_customize, 'testimonials', 'testimonials_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'luzuk_sec_blogsectionpadding', 'testimonials_area', 'Set Padding For Testimonial Section:');

$wp_customize->add_setting(
    'sec_testimonialsectionTpadding', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'sec_testimonialsectionTpadding',
    array(
        'settings'      => 'sec_testimonialsectionTpadding',
        'section'       => 'testimonials_area',
        'type'          => 'text',
        'label'         => __( 'Testimonial Section Top Padding', 'Luzuk Premium' )
    )
);
$wp_customize->add_setting(
    'sec_testimonialsectionBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'sec_testimonialsectionBpadding',
    array(
        'settings'      => 'sec_testimonialsectionBpadding',
        'section'       => 'testimonials_area',
        'type'          => 'text',
        'label'         => __( 'Testimonial Section Bottom Padding', 'Luzuk Premium' )
    )
);


$wp_customize->add_setting(
    'luzuk_testimonials_title_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
       'luzuk_testimonials_title_subtitle_heading',
       array(
           'settings'      => 'luzuk_testimonials_title_subtitle_heading',
           'section'       => 'testimonials_area',
           'label'         => __( 'Section Heading , Sub Heading & Text', 'Luzuk Premium' ),
       )
   )
);

addColorPalatOption($wp_customize, 'testisec_headbxclr', 'testimonials_area', 'Section Heading Box Background Color', '#001b42');

$wp_customize->add_setting(
    'testimonials_titlesub',
    array(
       'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Review', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonials_titlesub',
    array(
       'settings'      => 'testimonials_titlesub',
       'section'       => 'testimonials_area',
       'type'          => 'text',
       'label'         => __( 'Section Sub Heading', 'Luzuk Premium' )
    )
);

addColorPalatOption($wp_customize, 'testisec_subheadclr', 'testimonials_area', 'Section Sub Heading Color', '#ff5317');


$wp_customize->add_setting(
    'testimonials_title',
    array(
       'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Testimonials', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonials_title',
    array(
       'settings'      => 'testimonials_title',
       'section'       => 'testimonials_area',
       'type'          => 'text',
       'label'         => __( 'Section Heading', 'Luzuk Premium' )
    )
);

addColorPalatOption($wp_customize, 'testimonialsarea_title_color', 'testimonials_area', 'Section Heading color', '#fff');

$wp_customize->add_setting(
    'testimonials_sub_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur and adipiscing elite', 'Luzuk Premium', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonials_sub_text',
    array(
        'settings'      => 'testimonials_sub_text',
        'section'       => 'testimonials_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Text', 'Luzuk Premium' )
    )
);
addColorPalatOption($wp_customize, 'testimonialsarea_text_color', 'testimonials_area', 'Section Text color', '#fff');

$TesimonialsSingleChoice[] = 'select';
if(!is_array($TesimonialsSingleChoice)){
    $wp_customize->add_setting('testimonials_area_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
    $wp_customize->add_control(
        new luzuk_Info_Text( 
            $wp_customize,
            'testimonials_area_lbl',
            array(
                'settings'      => 'testimonials_area_lbl',
                'section'       => 'testimonials_area',
                'label'         => __( 'Note:', 'Luzuk Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the Testimonials.</strong> <br/>Please add the Testimonials from "Testimonials menu" and then select Testimonial to show information.', 'Luzuk Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('luzuk_premium_testimonials_area_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_testimonials_area_lbl',
        array(
            'settings'      => 'luzuk_premium_testimonials_area_lbl',
            'section'       => 'testimonials_area',
            'label'         => __( 'Note:', 'Luzuk Premium' ), 
            'description'   => __( 'Just place the shortcode "[TESTIMONIALS]" in your page to list the Testimonials in a page ', 'Luzuk Premium' ),
        )
    )
);
//TESTIMONIALS PAGES
for( $i = 1; $i < 10; $i++ ){
    $wp_customize->add_setting(
        'luzuk_testimonials_heading'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'luzuk_testimonials_heading'.$i,
            array(
                'settings'      => 'luzuk_testimonials_heading'.$i,
                'section'       => 'testimonials_area',
                'label'         => __( 'Testimonial', 'Luzuk Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'testimonials_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'testimonials_page'.$i,
        array(
            'settings'      => 'testimonials_page'.$i,
            'section'       => 'testimonials_area',
            'type'=> 'select',
            'label'         => __( 'Select a Client Testimonials', 'Luzuk Premium' ),
            'choices' => $TesimonialsSingleChoice,
        )
    );
}

lzCustomLable($wp_customize, 'luzuk_testiseccolor', 'testimonials_area', 'Section Color');

addColorPalatOption($wp_customize, 'luzuk_testimonials_clientimgbordercolor', 'testimonials_area', ' Image Border Color', '#fddbcf');
addColorPalatOption($wp_customize, 'luzuk_testimonials_boxcolor', 'testimonials_area', ' Box Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_testimonials_Namecolor', 'testimonials_area', ' Client Name Color', '#505050');

addColorPalatOption($wp_customize, 'luzuk_testimonials_Namehvclr', 'testimonials_area', ' Client Name Hover Color', '#001b42');

addColorPalatOption($wp_customize, 'luzuk_testimonials_Desgcolor', 'testimonials_area', ' Client Designation Color', '#ff5317');

addColorPalatOption($wp_customize, 'luzuk_testimonials_textcolor', 'testimonials_area', ' Testimonial Text Color', '#001b42');


addColorPalatOption($wp_customize, 'luzuk_testimonials_boxiconcolor', 'testimonials_area', ' Box Icon Color', '#f5f6fa');

addColorPalatOption($wp_customize, 'luzuk_testimonials_boxiconhovercolor', 'testimonials_area', ' Box Icon Hover Color', '#001b42');
